import type { OrderReassignedEntityType, ReasonToReassignTask } from '@bringg/types';
import Session from '../Services/Identity/Session';
export default class ReasonToReassignTasks {
    private reasonToReassignTasksEntity;
    constructor(session: Session);
    /**
     * @deprecated use loadGroup / getGroup instead
     */
    getAll(): Promise<ReasonToReassignTask[]>;
    loadGroup(group: OrderReassignedEntityType): Promise<ReasonToReassignTask[]>;
    getGroup(group: OrderReassignedEntityType): ReasonToReassignTask[];
}
